<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#dataTable').bootstrapTable({
		 
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	           showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）     
               cache: false,    
               //是否显示分页（*）  
               pagination: true,   
                //排序方式 
               sortOrder: "asc",  
               //初始化加载第一页，默认第一页
               pageNumber:1,   
               //每页的记录行数（*）   
               pageSize: 10,  
               //可供选择的每页的行数（*）    
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据  
               url: "${ctx}/managementcenter/materialinfo/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',   
               ////查询参数,每次调用是会带上这个参数，可自定义                         
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   if($el.data("item") == "edit"){
                   		edit(row.id);
                   }else if($el.data("item") == "view"){
                       view(row.id);
                   } else if($el.data("item") == "delete"){
                        jp.confirm('确认要删除该数据记录吗？', function(){
                       	jp.loading();
                       	jp.get("${ctx}/managementcenter/materialinfo/delete?id="+row.id, function(data){
                   	  		if(data.success){
                   	  			$('#dataTable').bootstrapTable('refresh');
                   	  			jp.success(data.msg);
                   	  		}else{
                   	  			jp.error(data.msg);
                   	  		}
                   	  	})
                   	   
                   	});
                      
                   } 
               },
               onClickRow: function(row, $el){
               },
               onLoadSuccess: function () {  //加载成功时执行
                   getTdValue();
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [
			{
		              field: 'projectName',
                        width:230,
		              title: '项目名称'
		    }
			,{
		              field: 'materialCode',
                       width:100,
		              title: '物料编码'
		    }
		    ,{
					   field: 'materialName',
                       width:200,
					   title: '物料名称'
               }
             ,{
					   field: 'extendDescription',
                       width:200,
					   title: '扩展描述'
               }
             ,{
					   field: 'unit',
                       width:60,
					   title: '单位'
               }
             ,{
					   field: 'totalCount',
                       width:60,
					   title: '总量'
               }
              ,{
                       field: 'weightKg',
                       width:80,
                       title: '单重/kg'
                   }
               ,{
                       field: 'weightTon',
                       width:80,
                       title: '总重/吨'
                   }
             ,{
                       field: 'supplyType',
                       width:80,
                       title: '甲乙供'
                   }
              ,{
                       field: 'note',
                       width:80,
                       title: '备注'
                   }
               ,{
                       field: 'state',
                       width:80,
                       title : '状态'
                   }

		     ]
		
		});
		
		  
	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#dataTable').bootstrapTable("toggleView");
		}
	  
	  $('#dataTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#dataTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#dataTable').bootstrapTable('getSelections').length!=1);
        });

    $("#btnImport").click(function(){
             jp.open({
                       type: 2,
                       area: [500, 300],
                       auto: true,
                       title:"导入数据",
                       // content: "${ctx}/managementcenter/materialinfo/importExcel" ,
                       content: "${ctx}/managementcenter/materialinfo/importExcel" ,
                       btn: ['确定', '关闭'],
                       btn1: function(index, layero){
                             var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                             iframeWin.contentWindow.importExcel('${ctx}/managementcenter/materialinfo/importValidation', function (data) {
                             if(data.success){
                                jp.success(data.msg);
                                 refresh();
                             }else{
                                jp.error(data.msg);
                             }
                            jp.close(index);
                      });//调用保存事件
                       return false;
                     },

              btn2: function(index){
                        jp.close(index);
                      }
                   });
             });


    $("#moreImport").click(function(){
         jp.open({
                      type: 2,
                      area: [800, 400],
                      auto: true,
                      title:"导入数据",
                       content: "${ctx}/managementcenter/materialinfo/importMore/Form" ,
                       btn: ['确定', '关闭'],
                      btn1: function(index, layero){
                      var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                      iframeWin.contentWindow.importExcel('${ctx}/managementcenter/materialinfo/importValidations', function (data) {
                      if(data.success){
                           jp.success(data.msg);
                            refresh();
                      }else{
                           jp.error(data.msg);
                      }
                      jp.close(index);
                   });//调用保存事件
                return false;
          },

                     btn2: function(index){
                         jp.close(index);
                      }
                  });
               });
		
		
	 $("#export").click(function(){//导出Excel文件
			jp.downloadFile('${ctx}/managementcenter/materialinfo/export');
	  });

		    
	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#dataTable').bootstrapTable('refresh');
		});


	 
	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#dataTable').bootstrapTable('refresh');
		});
		
		
	});
		
  function getIdSelections() {
        return $.map($("#dataTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }


    function getTdValue(){
            // var tableId = document.getElementById("dataTable");
            //  for(var i = 1;i < tableId.rows.length;i++) {
            //      if(tableId.rows[i].cells[10].innerHTML.indexOf("0") != -1 ){
            //        tableId.rows[i].setAttribute("style","color: red;");
            //        }
            //  }
    }

  
  function deleteAll(){

		jp.confirm('确认要删除该数据记录吗？', function(){
			jp.loading();  	
			jp.get("${ctx}/managementcenter/materialinfo/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#dataTable').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})
          	   
		})
  }

    //刷新列表
  function refresh(){
  	$('#dataTable').bootstrapTable('refresh');
  }
  
   function add(){
	  jp.openSaveDialog('新增', "${ctx}/managementcenter/materialinfo/form",'800px', '500px');
  }


  
   function edit(id){//没有权限时，不显示确定按钮
       if(id == undefined){
	      id = getIdSelections();
	}
	jp.openSaveDialog('编辑', "${ctx}/managementcenter/materialinfo/form?id=" + id, '800px', '500px');
  }
  
 function view(id){//没有权限时，不显示确定按钮
      if(id == undefined){
             id = getIdSelections();
      }
        jp.openViewDialog('查看', "${ctx}/managementcenter/materialinfo/form?id=" + id, '800px', '500px');
 }



</script>